<?php
/**
 * Charity Fundraiser Theme Customizer
 * @package Charity Fundraiser
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function charity_fundraiser_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'charity_fundraiser_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'charity-fundraiser' ),
	    'description' => __( 'Description of what this panel does.', 'charity-fundraiser' ),
	) );

	// Add the Theme Color Option section.
	$wp_customize->add_section( 'charity_fundraiser_theme_color_option', array( 
		'panel' => 'charity_fundraiser_panel_id', 
		'title' => esc_html__( 'Global Color Settings', 'charity-fundraiser' ) 
	) );

  	$wp_customize->add_setting( 'charity_fundraiser_first_theme_color', array(
	    'default' => '#288200',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_first_theme_color', array(
  		'label' => 'Color Option 1',
	    'description' => __('One can change complete theme global color settings on just one click.', 'charity-fundraiser'),
	    'section' => 'charity_fundraiser_theme_color_option',
	    'settings' => 'charity_fundraiser_first_theme_color',
  	)));

  	$wp_customize->add_setting( 'charity_fundraiser_second_theme_color', array(
	    'default' => '#091b27',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_second_theme_color', array(
  		'label' => 'Color Option 2',
	    'description' => __('One can change complete theme global color settings on just one click.', 'charity-fundraiser'),
	    'section' => 'charity_fundraiser_theme_color_option',
	    'settings' => 'charity_fundraiser_second_theme_color',
  	)));

	// font array
	$font_array = array(
        '' => 'No Fonts',
        'Abril Fatface' => 'Abril Fatface',
        'Acme' => 'Acme',
        'Anton' => 'Anton',
        'Architects Daughter' => 'Architects Daughter',
        'Arimo' => 'Arimo',
        'Arsenal' => 'Arsenal', 
        'Arvo' => 'Arvo',
        'Alegreya' => 'Alegreya',
        'Alfa Slab One' => 'Alfa Slab One',
        'Averia Serif Libre' => 'Averia Serif Libre',
        'Bangers' => 'Bangers', 
        'Boogaloo' => 'Boogaloo',
        'Bad Script' => 'Bad Script',
        'Bitter' => 'Bitter',
        'Bree Serif' => 'Bree Serif',
        'BenchNine' => 'BenchNine', 
        'Cabin' => 'Cabin', 
        'Cardo' => 'Cardo',
        'Courgette' => 'Courgette',
        'Cherry Swash' => 'Cherry Swash',
        'Cormorant Garamond' => 'Cormorant Garamond',
        'Crimson Text' => 'Crimson Text',
        'Cuprum' => 'Cuprum', 
        'Cookie' => 'Cookie', 
        'Chewy' => 'Chewy', 
        'Days One' => 'Days One', 
        'Dosis' => 'Dosis',
        'Droid Sans' => 'Droid Sans',
        'Economica' => 'Economica',
        'Fredoka One' => 'Fredoka One',
        'Fjalla One' => 'Fjalla One',
        'Francois One' => 'Francois One',
        'Frank Ruhl Libre' => 'Frank Ruhl Libre',
        'Gloria Hallelujah' => 'Gloria Hallelujah',
        'Great Vibes' => 'Great Vibes',
        'Handlee' => 'Handlee', 
        'Hammersmith One' => 'Hammersmith One',
        'Inconsolata' => 'Inconsolata', 
        'Indie Flower' => 'Indie Flower', 
        'IM Fell English SC' => 'IM Fell English SC', 
        'Julius Sans One' => 'Julius Sans One',
        'Josefin Slab' => 'Josefin Slab', 
        'Josefin Sans' => 'Josefin Sans', 
        'Kanit' => 'Kanit', 
        'Lobster' => 'Lobster', 
        'Lato' => 'Lato',
        'Lora' => 'Lora', 
        'Libre Baskerville' =>'Libre Baskerville',
        'Lobster Two' => 'Lobster Two',
        'Merriweather' =>'Merriweather', 
        'Monda' => 'Monda',
        'Montserrat' => 'Montserrat',
        'Muli' => 'Muli', 
        'Marck Script' => 'Marck Script',
        'Noto Serif' => 'Noto Serif',
        'Open Sans' => 'Open Sans', 
        'Overpass' => 'Overpass',
        'Overpass Mono' => 'Overpass Mono',
        'Oxygen' => 'Oxygen', 
        'Orbitron' => 'Orbitron', 
        'Patua One' => 'Patua One', 
        'Pacifico' => 'Pacifico',
        'Padauk' => 'Padauk', 
        'Playball' => 'Playball',
        'Playfair Display' => 'Playfair Display', 
        'PT Sans' => 'PT Sans',
        'Philosopher' => 'Philosopher',
        'Permanent Marker' => 'Permanent Marker',
        'Poiret One' => 'Poiret One', 
        'Quicksand' => 'Quicksand', 
        'Quattrocento Sans' => 'Quattrocento Sans', 
        'Raleway' => 'Raleway', 
        'Rubik' => 'Rubik', 
        'Rokkitt' => 'Rokkitt', 
        'Russo One' => 'Russo One', 
        'Righteous' => 'Righteous', 
        'Slabo' => 'Slabo', 
        'Source Sans Pro' => 'Source Sans Pro', 
        'Shadows Into Light Two' =>'Shadows Into Light Two', 
        'Shadows Into Light' => 'Shadows Into Light', 
        'Sacramento' => 'Sacramento', 
        'Shrikhand' => 'Shrikhand', 
        'Tangerine' => 'Tangerine',
        'Ubuntu' => 'Ubuntu', 
        'VT323' => 'VT323', 
        'Varela Round' => 'Varela Round', 
        'Vampiro One' => 'Vampiro One',
        'Vollkorn' => 'Vollkorn',
        'Volkhov' => 'Volkhov', 
        'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
    );

	//Typography
	$wp_customize->add_section( 'charity_fundraiser_typography', array(
    	'title'      => __( 'Typography', 'charity-fundraiser' ),
		'priority'   => 30,
		'panel' => 'charity_fundraiser_panel_id'
	) );
	
	// This is Paragraph Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_paragraph_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_paragraph_color', array(
		'label' => __('Paragraph Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_paragraph_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_paragraph_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'Paragraph Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('charity_fundraiser_paragraph_font_size',array(
		'default'	=> '12px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_paragraph_font_size',array(
		'label'	=> __('Paragraph Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_paragraph_font_size',
		'type'	=> 'text'
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_atag_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_atag_color', array(
		'label' => __('"a" Tag Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_atag_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_atag_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( '"a" Tag Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_li_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_li_color', array(
		'label' => __('"li" Tag Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_li_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_li_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( '"li" Tag Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_h1_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_h1_color', array(
		'label' => __('H1 Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_h1_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_h1_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'H1 Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('charity_fundraiser_h1_font_size',array(
		'default'	=> '50px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_h1_font_size',array(
		'label'	=> __('H1 Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_h1_font_size',
		'type'	=> 'text'
	));

	// This is H2 Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_h2_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_h2_color', array(
		'label' => __('h2 Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_h2_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_h2_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'h2 Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('charity_fundraiser_h2_font_size',array(
		'default'	=> '45px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_h2_font_size',array(
		'label'	=> __('h2 Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_h2_font_size',
		'type'	=> 'text'
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_h3_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_h3_color', array(
		'label' => __('h3 Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_h3_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_h3_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'h3 Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('charity_fundraiser_h3_font_size',array(
		'default'	=> '36px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_h3_font_size',array(
		'label'	=> __('h3 Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_h3_font_size',
		'type'	=> 'text'
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_h4_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_h4_color', array(
		'label' => __('h4 Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_h4_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_h4_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'h4 Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('charity_fundraiser_h4_font_size',array(
		'default'	=> '30px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_h4_font_size',array(
		'label'	=> __('h4 Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_h4_font_size',
		'type'	=> 'text'
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_h5_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_h5_color', array(
		'label' => __('h5 Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_h5_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_h5_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'h5 Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('charity_fundraiser_h5_font_size',array(
		'default'	=> '25px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_h5_font_size',array(
		'label'	=> __('h5 Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_h5_font_size',
		'type'	=> 'text'
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting( 'charity_fundraiser_h6_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'charity_fundraiser_h6_color', array(
		'label' => __('h6 Color', 'charity-fundraiser'),
		'section' => 'charity_fundraiser_typography',
		'settings' => 'charity_fundraiser_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('charity_fundraiser_h6_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control(
	    'charity_fundraiser_h6_font_family', array(
	    'section'  => 'charity_fundraiser_typography',
	    'label'    => __( 'h6 Fonts','charity-fundraiser'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('charity_fundraiser_h6_font_size',array(
		'default'	=> '18px',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('charity_fundraiser_h6_font_size',array(
		'label'	=> __('h6 Font Size','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_typography',
		'setting'	=> 'charity_fundraiser_h6_font_size',
		'type'	=> 'text'
	));

	//layout setting
	$wp_customize->add_section( 'charity_fundraiser_theme_layout', array(
    	'title'      => __( 'Blog Settings', 'charity-fundraiser' ),
		'priority'   => null,
		'panel' => 'charity_fundraiser_panel_id'
	) );

	$wp_customize->add_setting('charity_fundraiser_theme_layout_options',array(
        'default' => __('Default Theme','charity-fundraiser'),
        'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control('charity_fundraiser_theme_layout_options',array(
        'type' => 'radio',
        'label' => __('Theme Layout','charity-fundraiser'),
        'section' => 'charity_fundraiser_theme_layout',
        'choices' => array(
            'Default Theme' => __('Default Theme','charity-fundraiser'),
            'Container Theme' => __('Container Theme','charity-fundraiser'),
            'Box Container Theme' => __('Box Container Theme','charity-fundraiser'),
        ),
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('charity_fundraiser_layout',array(
        'default' => __( 'Right Sidebar', 'charity-fundraiser' ),
        'sanitize_callback' => 'charity_fundraiser_sanitize_choices'	        
	)  );
	$wp_customize->add_control('charity_fundraiser_layout',array(
        'type' => 'radio',
        'label' => __( 'Blog Layout', 'charity-fundraiser' ),
        'section' => 'charity_fundraiser_theme_layout',
        'choices' => array(
            'Left Sidebar' => __('Left Sidebar','charity-fundraiser'),
            'Right Sidebar' => __('Right Sidebar','charity-fundraiser'),
            'One Column' => __('One Column','charity-fundraiser'),
            'Three Columns' => __('Three Columns','charity-fundraiser'),
            'Four Columns' => __('Four Columns','charity-fundraiser'),
            'Grid Layout' => __('Grid Layout','charity-fundraiser')
        ),
	) );

    $wp_customize->add_setting('charity_fundraiser_metafields_date',array(
       'default' => 'true',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('charity_fundraiser_metafields_date',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Date ','charity-fundraiser'),
       'section' => 'charity_fundraiser_theme_layout'
    ));

    $wp_customize->add_setting('charity_fundraiser_metafields_author',array(
       'default' => 'true',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('charity_fundraiser_metafields_author',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Author','charity-fundraiser'),
       'section' => 'charity_fundraiser_theme_layout'
    ));

    $wp_customize->add_setting('charity_fundraiser_metafields_comment',array(
       'default' => 'true',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('charity_fundraiser_metafields_comment',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide Comments','charity-fundraiser'),
       'section' => 'charity_fundraiser_theme_layout'
    ));

   $wp_customize->add_setting( 'charity_fundraiser_post_excerpt_number', array(
		'default'              => 20,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'charity_fundraiser_post_excerpt_number', array(
		'label'       => esc_html__( 'Blog Post Excerpt Number (Max 50px)','charity-fundraiser' ),
		'section'     => 'charity_fundraiser_theme_layout',
		'type'        => 'sanitize_text_field',
		'settings'    => 'charity_fundraiser_post_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

    //Social Icons(topbar)
	$wp_customize->add_section('charity_fundraiser_social_media',array(
		'title'	=> __('Social Icon','charity-fundraiser'),
		'description'	=> __('Add Header Content here','charity-fundraiser'),
		'priority'	=> null,
		'panel' => 'charity_fundraiser_panel_id',
	));

	$wp_customize->add_setting('charity_fundraiser_facebook',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_facebook',array(
		'label'	=> __('Add Facebook link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_facebook',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('charity_fundraiser_twitter',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_twitter',array(
		'label'	=> __('Add Twitter link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_twitter',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('charity_fundraiser_google',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_google',array(
		'label'	=> __('Add Google Plus link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_google',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('charity_fundraiser_pintrest',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_pintrest',array(
		'label'	=> __('Add Pintrest link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_pintrest',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('charity_fundraiser_insta',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_insta',array(
		'label'	=> __('Add Instagram link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_insta',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('charity_fundraiser_linkdin',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_linkdin',array(
		'label'	=> __('Add Linkdin link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_linkdin',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('charity_fundraiser_youtube',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_youtube',array(
		'label'	=> __('Add Youtube link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_social_media',
		'setting'	=> 'charity_fundraiser_youtube',
		'type'	=> 'url'
	));

	//Topbar section
	$wp_customize->add_section('charity_fundraiser_topbar_icon',array(
		'title'	=> __('Topbar Section','charity-fundraiser'),
		'description'	=> __('Add Header Content here','charity-fundraiser'),
		'priority'	=> null,
		'panel' => 'charity_fundraiser_panel_id',
	));

	$wp_customize->add_setting('charity_fundraiser_email_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('charity_fundraiser_email_text',array(
		'label'	=> __('Add Email Text','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_topbar_icon',
		'setting'	=> 'charity_fundraiser_email_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('charity_fundraiser_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_email',array(
		'label'	=> __('Add Email Address','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_topbar_icon',
		'setting'	=> 'charity_fundraiser_email',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('charity_fundraiser_call_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_call_text',array(
		'label'	=> __('Add Contact Text','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_topbar_icon',
		'setting'	=> 'charity_fundraiser_call_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('charity_fundraiser_call_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_call_number',array(
		'label'	=> __('Add Contact Number','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_topbar_icon',
		'setting'	=> 'charity_fundraiser_call_number',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('charity_fundraiser_donate_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_donate_text',array(
		'label'	=> __('Add Donate Text','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_topbar_icon',
		'setting'	=> 'charity_fundraiser_donate_text',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('charity_fundraiser_donate_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('charity_fundraiser_donate_link',array(
		'label'	=> __('Add Donate Link','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_topbar_icon',
		'setting'	=> 'charity_fundraiser_donate_link',
		'type'		=> 'url'
	));

	//home page slider
	$wp_customize->add_section( 'charity_fundraiser_slider_section' , array(
    	'title'      => __( 'Slider Settings', 'charity-fundraiser' ),
		'priority'   => null,
		'panel' => 'charity_fundraiser_panel_id'
	) );

	$wp_customize->add_setting('charity_fundraiser_slider_hide',array(
       'default' => 'false',
       'sanitize_callback'	=> 'sanitize_text_field'
    ));
    $wp_customize->add_control('charity_fundraiser_slider_hide',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide slider','charity-fundraiser'),
       'section' => 'charity_fundraiser_slider_section'
    ));

	for ( $count = 1; $count <= 4; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'charity_fundraiser_slider_page' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'charity_fundraiser_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'charity_fundraiser_slider_page' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'charity-fundraiser' ),
			'section'  => 'charity_fundraiser_slider_section',
			'type'     => 'dropdown-pages'
		) );
	}

	//content Alignment
    $wp_customize->add_setting('charity_fundraiser_slider_alignment_option',array(
    'default' => __('Left Align','charity-fundraiser'),
        'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control('charity_fundraiser_slider_alignment_option',array(
        'type' => 'radio',
        'label' => __('Slider Content Alignment','charity-fundraiser'),
        'section' => 'charity_fundraiser_slider_section',
        'choices' => array(
            'Center Align' => __('Center Align','charity-fundraiser'),
            'Left Align' => __('Left Align','charity-fundraiser'),
            'Right Align' => __('Right Align','charity-fundraiser'),
        ),
	) );

    //Slider excerpt
	$wp_customize->add_setting( 'charity_fundraiser_slider_excerpt_number', array(
		'default'              => 25,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'charity_fundraiser_slider_excerpt_number', array(
		'label'       => esc_html__( 'Slider Excerpt length','charity-fundraiser' ),
		'section'     => 'charity_fundraiser_slider_section',
		'type'        => 'number',
		'settings'    => 'charity_fundraiser_slider_excerpt_number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//Opacity
	$wp_customize->add_setting('charity_fundraiser_slider_opacity_color',array(
      'default'              => 0.7,
      'sanitize_callback' => 'charity_fundraiser_sanitize_choices'
	));
	$wp_customize->add_control( 'charity_fundraiser_slider_opacity_color', array(
		'label'       => esc_html__( 'Slider Image Opacity','charity-fundraiser' ),
		'section'     => 'charity_fundraiser_slider_section',
		'type'        => 'select',
		'settings'    => 'charity_fundraiser_slider_opacity_color',
		'choices' => array(
	      '0' =>  esc_attr('0','charity-fundraiser'),
	      '0.1' =>  esc_attr('0.1','charity-fundraiser'),
	      '0.2' =>  esc_attr('0.2','charity-fundraiser'),
	      '0.3' =>  esc_attr('0.3','charity-fundraiser'),
	      '0.4' =>  esc_attr('0.4','charity-fundraiser'),
	      '0.5' =>  esc_attr('0.5','charity-fundraiser'),
	      '0.6' =>  esc_attr('0.6','charity-fundraiser'),
	      '0.7' =>  esc_attr('0.7','charity-fundraiser'),
	      '0.8' =>  esc_attr('0.8','charity-fundraiser'),
	      '0.9' =>  esc_attr('0.9','charity-fundraiser')
	  ),
	));

	//Help Section
	$wp_customize->add_section('charity_fundraiser_causes',array(
		'title'	=> __('Causes Section','charity-fundraiser'),
		'description'	=> __('Add Causes sections below.','charity-fundraiser'),
		'panel' => 'charity_fundraiser_panel_id',
	));

	$wp_customize->add_setting('charity_fundraiser_help_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_help_title',array(
		'label'	=> __('Section Title','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_causes',
		'type'		=> 'text'
	));

	$args = array('numberposts' => -1);
	$post_list = get_posts($args);
 	$i = 0;
	$pst[]='Select';  
	foreach($post_list as $post){
		$pst[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('charity_fundraiser_image_post',array(
		'sanitize_callback' => 'charity_fundraiser_sanitize_choices',
	));
	$wp_customize->add_control('charity_fundraiser_image_post',array(
		'type'    => 'select',
		'choices' => $pst,
		'label' => __('Select post','charity-fundraiser'),
		'section' => 'charity_fundraiser_causes',
	));

	$wp_customize->add_setting('charity_fundraiser_causes_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_causes_title',array(
		'label'	=> __('Help Us Text','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_causes',
		'type'		=> 'text'
	));	

	$categories = get_categories();
	$cats = array();
	$i = 0;
	$cat_post[]= 'select';
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cat_post[$category->slug] = $category->name;
	}

	$wp_customize->add_setting('charity_fundraiser_help_category',array(
		'default'	=> 'select',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('charity_fundraiser_help_category',array(
		'type'    => 'select',
		'choices' => $cat_post,
		'label' => __('Select Category to display Latest Post','charity-fundraiser'),
		'section' => 'charity_fundraiser_causes',
	));

	//footer text
	$wp_customize->add_section('charity_fundraiser_footer_section',array(
		'title'	=> __('Footer Text','charity-fundraiser'),
		'description'	=> __('Add some text for footer like copyright etc.','charity-fundraiser'),
		'panel' => 'charity_fundraiser_panel_id'
	));
	
	$wp_customize->add_setting('charity_fundraiser_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('charity_fundraiser_text',array(
		'label'	=> __('Copyright Text','charity-fundraiser'),
		'section'	=> 'charity_fundraiser_footer_section',
		'type'		=> 'text'
	));	
}
add_action( 'customize_register', 'charity_fundraiser_customize_register' );	

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Charity_Fundraiser_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Charity_Fundraiser_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Charity_Fundraiser_Customize_Section_Pro(
			$manager,
			'example_1',
				array(
				'priority'   => 9,
				'title'    => esc_html__( 'Charity Fundraiser Pro', 'charity-fundraiser' ),
				'pro_text' => esc_html__( 'Go Pro', 'charity-fundraiser' ),
				'pro_url'  => esc_url('https://www.themesglance.com/themes/premium-charity-wordpress-theme/')
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'charity-fundraiser-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'charity-fundraiser-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Charity_Fundraiser_Customize::get_instance();