<?php
/**
 * Template Name: Custom home page
 */
get_header(); ?>

<main id="maincontent" role="main">
  <?php do_action('charity_fundraiser_above_slider_section'); ?>

  <?php if( get_theme_mod( 'charity_fundraiser_slider_hide') != '') { ?>
    <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide carousel-fade" data-ride="carousel"> 
        <?php $content_pages = array();
          for ( $count = 1; $count <= 4; $count++ ) {
            $mod = intval( get_theme_mod( 'charity_fundraiser_slider_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $content_pages[] = $mod;
            }
          }
          if( !empty($content_pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $content_pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $i = 1;
        ?>
        <div class="carousel-inner" role="listbox">
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
              <?php the_post_thumbnail(); ?>
              <div class="carousel-caption">
                <div class="inner_carousel">
                  <h1 class="animated fadeInDown"><?php the_title(); ?></h1>
                  <p><?php $excerpt = get_the_excerpt(); echo esc_html( charity_fundraiser_string_limit_words( $excerpt, esc_attr(get_theme_mod('charity_fundraiser_slider_excerpt_number','25')))); ?></p>
                  <div class="more-btn">              
                    <a href="<?php the_permalink(); ?>"><?php esc_html_e('LEARN MORE','charity-fundraiser'); ?><span class="screen-reader-text"><?php esc_html_e('LEARN MORE','charity-fundraiser'); ?></span></a>
                  </div>
                </div>
              </div>
            </div>
          <?php $i++; endwhile; 
          wp_reset_postdata();?>
        </div>
        <?php else : ?>
            <div class="no-postfound"></div>
          <?php endif;
        endif;?>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
          <span class="screen-reader-text"><?php esc_html_e('Previous','charity-fundraiser'); ?></span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
          <span class="screen-reader-text"><?php esc_html_e('Next','charity-fundraiser'); ?></span>
        </a>
      </div>  
      <div class="clearfix"></div>
    </section>
  <?php }?>

  <?php do_action('charity_fundraiser_above_help_section'); ?>

  <?php if( get_theme_mod( 'charity_fundraiser_help_title') != '' || get_theme_mod( 'charity_fundraiser_image_post') != '' || get_theme_mod( 'charity_fundraiser_causes_title') != ''  || get_theme_mod( 'charity_fundraiser_help_category') != '') { ?>
    <section id="help">
      <div class="container">
        <?php if( get_theme_mod('charity_fundraiser_help_title') != ''){ ?>
          <h2 class="animated fadeInDown"><?php echo esc_html(get_theme_mod('charity_fundraiser_help_title','')); ?></h2>
          <div class="border-image">
            <img role="img" src="<?php echo esc_url( get_theme_mod('',get_template_directory_uri().'/images/tittle-line.png') ); ?>" alt="<?php esc_html_e('Title Border Image','charity-fundraiser'); ?>">
          </div>
        <?php }?>
        <div class="row">
          <div class="col-lg-6 col-md-6">
            <?php
            $postData1 =  get_theme_mod('charity_fundraiser_image_post');
            if($postData1){
              $args = array( 'name' => esc_html($postData1 ,'charity-fundraiser'));
              $query = new WP_Query( $args );
              if ( $query->have_posts() ) :
                while ( $query->have_posts() ) : $query->the_post(); ?>
                  <div class="box-image animated fadeInDown">
                    <?php the_post_thumbnail(); ?>
                  </div>
                <?php endwhile; 
                wp_reset_postdata();?>
                <?php else : ?>
                  <div class="no-postfound"></div>
                <?php
            endif; }?>
          </div>
          <div class="col-lg-6 col-md-6">
            <?php if( get_theme_mod('charity_fundraiser_causes_title') != ''){ ?>
              <h3 class="animated fadeInDown"><?php echo esc_html(get_theme_mod('charity_fundraiser_causes_title','')); ?></h3>
              <hr class="help">
            <?php }?>
            <?php 
            $catData = get_theme_mod('charity_fundraiser_help_category');
              if($catData){              
                $page_query = new WP_Query(array( 'category_name' => esc_html( $catData ,'charity-fundraiser')));?>
                <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
                  <div class="help-box">
                  <div class="row animated fadeInDown">
                    <div class="col-lg-3 col-md-3">
                      <?php the_post_thumbnail(); ?>
                    </div>
                    <div class="col-lg-9 col-md-9">
                      <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h4>
                      <p><?php $excerpt = get_the_excerpt(); echo esc_html( charity_fundraiser_string_limit_words( $excerpt,8 ) ); ?></p>
                    </div>
                  </div>
                </div>
              <?php endwhile;
              wp_reset_postdata();
            }
            ?>
          </div>
        </div>
      </div>
    </section>
  <?php }?>

  <?php do_action('charity_fundraiser_after_about_section'); ?>

  <div class="container">
    <?php while ( have_posts() ) : the_post(); ?>
      <?php the_content(); ?>
    <?php endwhile; // end of the loop. ?>
  </div>
</main>

<?php get_footer(); ?>